<ngx-loading [show]="loading" [config]="{ backdropBorderRadius: '14px' }"></ngx-loading>
<div class="card">
    <div class="card-header">
        <div class="page-header-title">
            <h4>{{'epdb.admin.email_body.add_edit_email_body' | translate}}</h4>
        </div>
    </div>
    <div class="card-block">
        <form [formGroup]="addEmailBody" (ngSubmit)="onSubmit()">
            <div class="dt-responsive dt-bootstrap4 row p-20">
                <div class="col-md-4 col-xl-4 form-group">
                    <label class="col-form-label">{{'epdb.admin.email_body.email_body_type' | translate}}
                        <code>*</code>
                    </label>
                    <select name="body_type" id="body_type" class="form-control" formControlName="body_type" (change)="onChangeType($event.target.value, 'null')">
                        <option value="">-- {{'general.select' | translate}} --</option>
                        <option *ngFor="let item of body_typearr" value={{item}}>{{item}}</option>
                    </select>
                    <span class="messages text-danger" *ngIf="!addEmailBody.get('body_type').valid && addEmailBody.get('body_type').touched">* Please Enter Email Body</span>
                </div>
                <div class="col-md-4 col-xl-4 form-group">
                    <label>{{ 'epdb.admin.language.language' | translate }}</label>
                    <select name="oStatus" class="form-control" id="Key" formControlName="Key">
                        <option value="">-- {{ 'general.select' | translate }} --</option>
                        <option *ngFor="let item of language" value={{item.Key}}>{{item.KeyValue}}</option>
                    </select>
                    <span class="messages text-danger" *ngIf="!addEmailBody.get('Key').valid && addEmailBody.get('Key').touched">* Please Enter Language</span>
                </div>
                <div class="col-md-12 col-xl-12 form-group">
                    <label>Subject
                        <code>*</code>
                    </label>
                    <input type="text" class="form-control" id="subject" formControlName="subject" placeholder="Subject" maxlength="400">
                    <span class="messages text-danger" *ngIf="!addEmailBody.get('subject').valid && addEmailBody.get('subject').touched">* Please Enter Subject (*max 100 character only)</span>
                </div>
                <!-- <div class="col-md-8 col-xl-8 form-group">
                    <label class="col-form-label">{{'epdb.admin.email_body.email_body' | translate}}</label>
                    <textarea class="form-control" cols="30" rows="6" formControlName="emailBody"></textarea>
                </div> -->
                <div class="col-md-12 col-xl-12 form-group">
                    <!-- wysiwyg-editor card start -->
                    <!-- <editor apiKey="qk9995hnbsbms6pwhymxear9p5kbna082buckxa32siyle3v" [init]="{plugins: 'link'}" formControlName="body_email"></editor> -->
                    <app-tinymce formControlName="body_email"></app-tinymce>
                    <span class="messages text-danger" *ngIf="!addEmailBody.get('body_email').valid && addEmailBody.get('body_email').touched">* Please Enter Body Email</span>
                    <!-- wysiwyg-editor card end -->
                </div>
                <div class="col-md-12 col-xl-12">&nbsp;</div>
                <div class="col-md-6 col-xl-6">&nbsp;</div>
                <div class="col-md-2 col-xl-2 form-group">
                    <button type="submit" class="btn btn-success btn-md btn-block text-center">
                        <i class="icofont icofont-save"></i> {{'general.btn_save' | translate}}</button>
                </div>
                <div class="col-md-2 col-xl-2 form-group">
                    <button type="button" (click)="resetFormAdd()" class="btn btn-default btn-md btn-block text-center">
                        <i class="icofont icofont-spinner-alt-3"></i> {{'general.btn_reset' | translate}}</button>
                </div>
                <div class="col-md-2 col-xl-2 form-group">
                    <button type="button" [routerLink]="['/admin/email/list-email-body']" class="btn btn-danger btn-md btn-block text-center">
                        <i class="icofont icofont-ui-close"></i> {{'general.btn_cancel' | translate}}</button>
                </div>
            </div>
        </form>
    </div>
</div>